If you're only using one to three of the packages in the Tidyverse, do not load the entire package in the Project. Instead, install and load those specific packages. If you are using four or more:

  • List the individual packages and versions in requirements.R first, then list tidyverse and version.
  • Load the Tidyverse in project.ipynb  (i.e. library(tidyverse))

The reason for this is because Tidyverse does not enforce versioning, which is part of the problem with updates. It will only pull the latest version of the package installed.

Did this answer your question?